# ball-bounce-calculator

"ถ้าบอลลูกหนึ่งเมื่อตกกระทบพื้นแล้วจะกระดอนขึ้นในแนวดิ่งเป็นระยะทาง 2/5 เท่าของความสูงที่ตก และ ลูกบอลจะไม่กระดอนอีกถ้าตกจาก ความสูงที่น้อยกว่าหรือเท่ากับ 1 เซนติเมตร"

โปรแกรมนี้จะเพื่อรับความสูงจากพื้นเริ่มต้นของลูกบอลลูกนี้จากนั้นคำนวณหาระยะทางรวมที่ลูกบอลเคลื่อนที่ทั้งหมด (ระยะทางที่ตกรวมกับระยะทางที่กระดอนทั้งหมด) พร้อมกับจำนวนครั้งที่ลูกบอลกระทบพื้นทั้งหมด (ทั้งกระดอนและไม่กระดอน)

โปรแกรมนี้เขียนขึ้นด้วย C++ และทดสอบ compile ด้วย GCC 11.2.1 บน Fedora Linux 34

**ตัวอย่างการทำงานของโปรแกรม**

![Screenshot](info/screenshot.png)

**วิธีติดตั้ง (สำหรับ Linux เท่านั้น)**

1. โคลน git นี้

	`$ git clone https://gitlab.com/sashapgt/ball-bounce-calculator.git`

2. cd เข้าโฟลเดอร์ของ git นี้ แล้วรันสคริปต์ติดตั้ง

	`$ cd ball-bounce-calculator && sh install.sh`

3. เรียกใช้จากเทอร์มินัลได้เลย

	`$ ball-bounce-calculator`

**วิธีถอนการติดตั้ง (สำหรับ Linux เท่านั้น)**

1. รันสคริปต์ถอนการติดตั้งจากในโฟลเดอร์ git นี้

	`$ sh uninstall.sh`

2. ลบโฟลเดอร์ git นี้